## UpWakeupItem UpWakeupItem — Helper object representing one item of wakeup data. |

## Functions

UpWakeupItem * | up_wakeup_item_new ()
gboolean | up_wakeup_item_get_is_userspace ()
void | up_wakeup_item_set_is_userspace ()
guint | up_wakeup_item_get_id ()
void | up_wakeup_item_set_id ()
guint | up_wakeup_item_get_old ()
void | up_wakeup_item_set_old ()
gdouble | up_wakeup_item_get_value ()
void | up_wakeup_item_set_value ()
const gchar * | up_wakeup_item_get_cmdline ()
void | up_wakeup_item_set_cmdline ()
const gchar * | up_wakeup_item_get_details ()
void | up_wakeup_item_set_details ()

## Properties

gchar * | cmdline | Read / Write
gchar * | details | Read / Write
guint | id | Read / Write
gboolean | is-userspace | Read / Write
guint | old | Read / Write
gdouble | value | Read / Write

## Object Hierarchy

        GObject
        ╰── UpWakeupItem

## Description

This object represents one item of data which may be returned from the daemon in response to a query.

## Functions

### up_wakeup_item_new ()

    UpWakeupItem *
    up_wakeup_item_new (void);

#### Returns

a new UpWakeupItem object.

Since: 0.9.0

### up_wakeup_item_get_is_userspace ()

    gboolean
    up_wakeup_item_get_is_userspace (UpWakeupItem *wakeup_item);

Gets if the item is userspace.

#### Parameters

wakeup_item | UpWakeupItem |

#### Returns

the value

Since: 0.9.0

### up_wakeup_item_set_is_userspace ()

    void
    up_wakeup_item_set_is_userspace (UpWakeupItem *wakeup_item,
                                     gboolean is_userspace);

Sets if the item is userspace.

#### Parameters

wakeup_item | UpWakeupItem |
is_userspace | the new value |

Since: 0.9.0

### up_wakeup_item_get_id ()

    guint
    up_wakeup_item_get_id (UpWakeupItem *wakeup_item);

Gets the item id.

#### Parameters

wakeup_item | UpWakeupItem |

#### Returns

the value

Since: 0.9.0

### up_wakeup_item_set_id ()

    void
    up_wakeup_item_set_id (UpWakeupItem *wakeup_item,
                           guint id);

Sets the item id.

#### Parameters

wakeup_item | UpWakeupItem |
id | the new value |

Since: 0.9.0

### up_wakeup_item_get_old ()

    guint
    up_wakeup_item_get_old (UpWakeupItem *wakeup_item);

Gets the item old.

#### Parameters

wakeup_item | UpWakeupItem |

#### Returns

the value

Since: 0.9.0

### up_wakeup_item_set_old ()

    void
    up_wakeup_item_set_old (UpWakeupItem *wakeup_item,
                            guint old);

Sets the item old.

#### Parameters

wakeup_item | UpWakeupItem |
old | the new value |

Since: 0.9.0

### up_wakeup_item_get_value ()

    gdouble
    up_wakeup_item_get_value (UpWakeupItem *wakeup_item);

Gets the item value.

#### Parameters

wakeup_item | UpWakeupItem |

#### Returns

the value

Since: 0.9.0

### up_wakeup_item_set_value ()

    void
    up_wakeup_item_set_value (UpWakeupItem *wakeup_item,
                              gdouble value);

Sets the item value.

#### Parameters

wakeup_item | UpWakeupItem |
value | the new value |

Since: 0.9.0

### up_wakeup_item_get_cmdline ()

    const gchar *
    up_wakeup_item_get_cmdline (UpWakeupItem *wakeup_item);

Gets the item cmdline.

#### Parameters

wakeup_item | UpWakeupItem |

#### Returns

the value

Since: 0.9.0

### up_wakeup_item_set_cmdline ()

    void
    up_wakeup_item_set_cmdline (UpWakeupItem *wakeup_item,
                                const gchar *cmdline);

Sets the item cmdline.

#### Parameters

wakeup_item | UpWakeupItem |
cmdline | the new value |

Since: 0.9.0

### up_wakeup_item_get_details ()

    const gchar *
    up_wakeup_item_get_details (UpWakeupItem *wakeup_item);

Gets the item details.

#### Parameters

wakeup_item | UpWakeupItem |

#### Returns

the value

Since: 0.9.0

### up_wakeup_item_set_details ()

    void
    up_wakeup_item_set_details (UpWakeupItem *wakeup_item,
                                const gchar *details);

Sets the item details.

#### Parameters

wakeup_item | UpWakeupItem |
details | the new value |

Since: 0.9.0

## Property Details

### The `“cmdline”` property

      “cmdline”                  gchar *

Owner: UpWakeupItem

Flags: Read / Write

Default value: NULL

Since: 0.9.0

### The `“details”` property

      “details”                  gchar *

Owner: UpWakeupItem

Flags: Read / Write

Default value: NULL

Since: 0.9.0

### The `“id”` property

      “id”                       guint

Owner: UpWakeupItem

Flags: Read / Write

Default value: 0

Since: 0.9.0

### The `“is-userspace”` property

      “is-userspace”             gboolean

Owner: UpWakeupItem

Flags: Read / Write

Default value: FALSE

Since: 0.9.0

### The `“old”` property

      “old”                      guint

Owner: UpWakeupItem

Flags: Read / Write

Default value: 0

Since: 0.9.0

### The `“value”` property

      “value”                    gdouble

Owner: UpWakeupItem

Flags: Read / Write

Allowed values: >= 0

Default value: 0

Since: 0.9.0

## See Also

UpDevice, UpClient